package com.ruoyi.project.aspen.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 电厂大屏每日8：00抓取数据对象 t_dashboarddayeleceight
 *
 * @author ruoyi
 * @date 2022-03-12
 */
public class TDashboarddayeleceight extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 抓取时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "抓取时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 天然气表每日消耗量 every day consume */
    @Excel(name = "天然气表每日消耗量 every day consume")
    private String evconsume;

    /** 天然气表电厂 */
    @Excel(name = "天然气表电厂")
    private String elecp;

    /** 天然气表合成器 */
    @Excel(name = "天然气表合成器")
    private String hechengqi;

    /** 天然气表U2 */
    @Excel(name = "天然气表U2")
    private String u2;

    /** 数据日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "数据日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataDate;

    /** 抓取数据日 */
    @Excel(name = "抓取数据日")
    private String dateDay;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setEvconsume(String evconsume)
    {
        this.evconsume = evconsume;
    }

    public String getEvconsume()
    {
        return evconsume;
    }
    public void setElecp(String elecp)
    {
        this.elecp = elecp;
    }

    public String getElecp()
    {
        return elecp;
    }
    public void setHechengqi(String hechengqi)
    {
        this.hechengqi = hechengqi;
    }

    public String getHechengqi()
    {
        return hechengqi;
    }
    public void setU2(String u2)
    {
        this.u2 = u2;
    }

    public String getU2()
    {
        return u2;
    }
    public void setDataDate(Date dataDate)
    {
        this.dataDate = dataDate;
    }

    public Date getDataDate()
    {
        return dataDate;
    }
    public void setDateDay(String dateDay)
    {
        this.dateDay = dateDay;
    }

    public String getDateDay()
    {
        return dateDay;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("evconsume", getEvconsume())
            .append("elecp", getElecp())
            .append("hechengqi", getHechengqi())
            .append("u2", getU2())
            .append("dataDate", getDataDate())
            .append("dateDay", getDateDay())
            .toString();
    }
}
